# $Revision: 1.24 $, $Date: 2002/10/05 06:46:26 $
Summary:	IPLog - TCP/IP trafic logger
Summary(pl):	IPLog - rejestrator obcienia sieci pakietami TCP/IP
Name:		iplog
Version:	2.2.1
Release:	6
License:	GPL
Group:		Daemons
Source0:	http://www.numb.org/~odin/stuff/%{name}-%{version}.tar.gz
Source1:	%{name}.init
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
PreReq:		/sbin/chkconfig
PreReq:		rc-scripts
Obsoletes:	ippl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
iplog is a TCP/IP trafic logger. Currently, it is capable of logging
TCP, UDP and ICMP trafic.

%description -l pl
iplog jest rejestratorem ruchu TCP/IP. Aktualnie moe logowa ruch
pakietw TCP, UDP i ICMP.

%prep
%setup -q

%build
aclocal
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/iplog
install example-iplog.conf $RPM_BUILD_ROOT%{_sysconfdir}/iplog.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iplog
if [ -f /var/lock/subsys/iplog ]; then
	/etc/rc.d/init.d/iplog restart >&2
else
	echo "Run \"/etc/rc.d/init.d/iplog start\" to start iplog daemon."
fi

%preun
if [ "$0" = "1" ]; then
	if [ -f /var/lock/subsys/iplog ]; then
		/etc/rc.d/init.d/iplog stop >&2
	fi
	/sbin/chkconfig --del iplog
fi

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS TODO
%attr(754,root,root) /etc/rc.d/init.d/iplog
%attr(755,root,root) %{_sbindir}/iplog
%attr(600,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/iplog.conf
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: iplog.spec,v $
Revision 1.24  2002/10/05 06:46:26  mwinkler
- ups, relase 6

Revision 1.23  2002/10/05 06:44:42  mwinkler
- new %doc, STBR

Revision 1.22  2002/05/21 23:13:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:37:06  arturs
fixed a small typo

Revision 1.20  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/06 11:42:06  kloczek
- release 5: final cleanups.

Revision 1.18  2002/02/05 19:45:00  gotar
- Obsoletes: ippl

Revision 1.17  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/06 12:32:11  blues
- release 4
- ac2.5 ready

Revision 1.15  2001/09/24 13:58:23  qboosh
- Prereq: /sbin/chkconfig
- adapterized, added pl description
- release 3

Revision 1.14  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/06/15 18:07:14  kloczek
- Prereq for rc-scripts (not for chkconfig),
- few cosmetics.

Revision 1.11  2001/06/15 15:58:22  baggins
- release 2
- prereq chkconfig

Revision 1.10  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.9  2000/07/07 22:32:08  waszi
- added %post/%preun section

Revision 1.8  2000/07/07 22:26:16  waszi
- updated to 2.2.1

Revision 1.7  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.5  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.4  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.2  2000/01/26 12:55:21  cieciwa
- fixes %files,
- added config file to /etc/iplog.roules

Revision 1.1  2000/01/18 08:44:09  cieciwa
- build RPM.
